Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in EncFS
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in EncFS
ID: 201512-09
Distribution: Gentoo
Plattformen: Keine Angabe
Datum: Do, 31. Dezember 2015, 11:00
Referenzen: http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-3462
Applikationen: EncFS

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--65d82sn9lRJUfGRqs41XrjSATPmM2tq1i
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 201512-09
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: encfs: Multiple vulnerabilities
Date: December 30, 2015
Bugs: #510290
ID: 201512-09

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

Multiple vulnerabilities have been found in encfs, the worst of which
can allow remote attackers to execute arbitrary code or cause a Denial
of Service condition.

Background
==========

Encfs is an implementation of encrypted filesystem in user-space using
FUSE.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 sys-fs/encfs < 1.7.5 >= 1.7.5

Description
===========

Multiple vulnerabilities have been discovered in encfs. Please review
the CVE identifiers referenced below for details.

Impact
======

A local attacker can utilize a possible buffer overflow in the
encodeName method of StreamNameIO and BlockNameIO to execute arbitrary
code or cause a Denial of Service. Also multiple weak cryptographics
practices have been found in encfs.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All encfs users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=sys-fs/encfs-1.7.5"

References
==========

[ 1 ] CVE-2014-3462
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-3462

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

https://security.gentoo.org/glsa/201512-09

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2015 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5


--65d82sn9lRJUfGRqs41XrjSATPmM2tq1i
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Comment: GPGTools - https://gpgtools.org

iQEcBAEBCgAGBQJWg+vvAAoJEDkRiObnjK1yNy4IAKB+pyw108G6aTisvDVStm+2
lpmlsCMq9RPl5Stfh+nnmP8w5xuYV6QGR4kCRmK+qUc3fYZyD/Hpdrr4kaQVbmJg
tBPZeIQUX6hGLh6wVGNBaEsUrsf8QNsBRMUiIhIZUnSEUJ7gDmba2WYK1CSaDJku
CqGmMOrD+ENe9/LBfOElM9H7rnWajilxRFL1vmorss/2KRzWLenrR/R3SvNOMxBs
TNhDPPHVn/PEA9gHyv2sz2WQEbRQjL4F6im4cUOv4hIPjN6MK9yzh988br9DgrwN
HKm8GTMIBdgLjCMwwWkCTm7aXDeSvYHRbp4Jfngj5YUYPZt4jxg7fGSn+s7cn4Y=
=4WZ1
-----END PGP SIGNATURE-----

--65d82sn9lRJUfGRqs41XrjSATPmM2tq1i--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung